Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum CornerPosition

    java.lang.Object
      java.lang.Enum<CornerPosition>
          org.richfaces.component.CornerPosition

All Implemented Interfaces:
  Serializable, Comparable<CornerPosition>

    public enum CornerPosition

extends Enum<CornerPosition>

Author:
  Lukas Fryc

Enum Constant Summary
`bottomLeft`
`bottomRight`
`topLeft`
`topRight`

Method Summary
`String` | `getShortcut()`
`String` | `toString()`
`static CornerPosition` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CornerPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### topLeft

    public static final CornerPosition topLeft

### topRight

    public static final CornerPosition topRight

### bottomLeft

    public static final CornerPosition bottomLeft

### bottomRight

    public static final CornerPosition bottomRight

Method Detail

### values

    public static CornerPosition[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CornerPosition c : CornerPosition.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CornerPosition valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getShortcut

    public String getShortcut()

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<CornerPosition>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.